AT-NFC 2.1 (win) AT-NFC kernel set

Data Fields
tag_T_NFC_KER_API Struct Reference
Entry Point registration interface

EP Kernel API struct. More...

`#include <t_nfc_ep_ker.h>`

## Data Fields
KER_INT16U | usSize
KER_BYTE | btVersion
KER_BYTE | ar_btKernelID [8]
KER_BYTE | btKernelIDLen
T_NFC_HANDLE | hKerHandle
FUNC_T_NFC_KERNEL_TRAN_PREPROCESS | fTranPreprocess
FUNC_T_NFC_KERNEL_TRAN_START | fTranStart
FUNC_T_NFC_KERNEL_TRAN_ISS_UPDATE | fTranIssUpdate
FUNC_T_NFC_KERNEL_TRAN_RELEASE | fTranReleaase
FUNC_T_NFC_KERNEL_GET_DATA | fGetData
FUNC_T_NFC_KERNEL_GET_DATA_BY_TAG | fGetDataByTag
FUNC_T_NFC_KERNEL_GET_DATA_BY_TAG_LIST | fGetDataByTagList
FUNC_T_NFC_KERNEL_GET_DATA_BY_ID | fGetDataByID

## Detailed Description

EP Kernel API struct.

## Field Documentation

## ◆ ar_btKernelID

KER_BYTE ar_btKernelID[8]

kernel ID

## ◆ btKernelIDLen

KER_BYTE btKernelIDLen

kernel ID length

## ◆ btVersion

KER_BYTE btVersion

version

## ◆ fGetData

FUNC_T_NFC_KERNEL_GET_DATA fGetData

t_nfc_GetData reference

## ◆ fGetDataByID

FUNC_T_NFC_KERNEL_GET_DATA_BY_ID fGetDataByID

t_nfc_GetDataByID reference

## ◆ fGetDataByTag

FUNC_T_NFC_KERNEL_GET_DATA_BY_TAG fGetDataByTag

t_nfc_GetDataByTag reference

## ◆ fGetDataByTagList

FUNC_T_NFC_KERNEL_GET_DATA_BY_TAG_LIST fGetDataByTagList

t_nfc_GetDataByTagList reference

## ◆ fTranIssUpdate

FUNC_T_NFC_KERNEL_TRAN_ISS_UPDATE fTranIssUpdate

t_nfc_TranIssUpdate reference

## ◆ fTranPreprocess

FUNC_T_NFC_KERNEL_TRAN_PREPROCESS fTranPreprocess

t_nfc_TranPreprocessing reference

## ◆ fTranReleaase

FUNC_T_NFC_KERNEL_TRAN_RELEASE fTranReleaase

t_nfc_TranRelease reference

## ◆ fTranStart

FUNC_T_NFC_KERNEL_TRAN_START fTranStart

t_nfc_TranStart reference

## ◆ hKerHandle

T_NFC_HANDLE hKerHandle

kernal handle, obtained by t_nfc_Init func

## ◆ usSize

KER_INT16U usSize

size of struct

The documentation for this struct was generated from the following file:

- D:/VM_SHARE/Views_Static/petrov_dev_emv_VM_view/EMV_NEXT/Kernels/inc/t_nfc_ep/t_nfc_ep_ker.h